import { Connection } from '@salesforce/core';
import { SyncTestConfiguration, SyncTestResult, SyncTestErrorResult, AsyncTestConfiguration, AsyncTestArrayConfiguration, ApexTestQueueItem, AsyncTestResult, CodeCoverageResult } from './types';
export declare class TestService {
    readonly connection: Connection;
    constructor(connection: Connection);
    runTestSynchronous(options: SyncTestConfiguration): Promise<SyncTestResult | SyncTestErrorResult[]>;
    runTestAsynchronous(options: AsyncTestConfiguration | AsyncTestArrayConfiguration, codeCoverage?: boolean): Promise<AsyncTestResult>;
    private calculatePercentage;
    getTestResultData(testQueueResult: ApexTestQueueItem, testRunId: string, codeCoverage?: boolean): Promise<AsyncTestResult>;
    getOrgWideCoverage(): Promise<string>;
    getTestCodeCoverage(): Promise<CodeCoverageResult[]>;
}
