"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
// NOTE: half of these values are declared by loglevel enum
var TestLogLevel;
(function (TestLogLevel) {
    TestLogLevel["trace"] = "trace";
    TestLogLevel["debug"] = "debug";
    TestLogLevel["info"] = "info";
    TestLogLevel["warn"] = "warn";
    TestLogLevel["error"] = "error";
    TestLogLevel["fatal"] = "fatal";
    TestLogLevel["TRACE"] = "TRACE";
    TestLogLevel["DEBUG"] = "DEBUG";
    TestLogLevel["INFO"] = "INFO";
    TestLogLevel["WARN"] = "WARN";
    TestLogLevel["ERROR"] = "ERROR";
    TestLogLevel["FATAL"] = "FATAL";
})(TestLogLevel = exports.TestLogLevel || (exports.TestLogLevel = {}));
var TestLevel;
(function (TestLevel) {
    /**
     * All tests in your org are run, except the ones that originate from installed managed packages
     */
    TestLevel["RunLocalTests"] = "RunLocalTests";
    /**
     * All tests are in your org and in installed managed packages are run
     */
    TestLevel["RunAllTestsInOrg"] = "RunAllTestsInOrg";
    /**
     * Only the tests that you specify are run
     */
    TestLevel["RunSpecifiedTests"] = "RunSpecifiedTests";
})(TestLevel = exports.TestLevel || (exports.TestLevel = {}));
var ApexTestResultOutcome;
(function (ApexTestResultOutcome) {
    ApexTestResultOutcome["Pass"] = "Pass";
    ApexTestResultOutcome["Fail"] = "Fail";
    ApexTestResultOutcome["CompileFail"] = "CompileFail";
    ApexTestResultOutcome["Skip"] = "Skip";
})(ApexTestResultOutcome = exports.ApexTestResultOutcome || (exports.ApexTestResultOutcome = {}));
var ApexTestRunResultStatus;
(function (ApexTestRunResultStatus) {
    ApexTestRunResultStatus["Queued"] = "Queued";
    ApexTestRunResultStatus["Processing"] = "Processing";
    ApexTestRunResultStatus["Aborted"] = "Aborted";
    ApexTestRunResultStatus["Completed"] = "Completed";
    ApexTestRunResultStatus["Failed"] = "Failed";
})(ApexTestRunResultStatus = exports.ApexTestRunResultStatus || (exports.ApexTestRunResultStatus = {}));
var ApexTestQueueItemStatus;
(function (ApexTestQueueItemStatus) {
    ApexTestQueueItemStatus["Holding"] = "Holding";
    ApexTestQueueItemStatus["Queued"] = "Queued";
    ApexTestQueueItemStatus["Preparing"] = "Preparing";
    ApexTestQueueItemStatus["Processing"] = "Processing";
    ApexTestQueueItemStatus["Aborted"] = "Aborted";
    ApexTestQueueItemStatus["Completed"] = "Completed";
    ApexTestQueueItemStatus["Failed"] = "Failed";
})(ApexTestQueueItemStatus = exports.ApexTestQueueItemStatus || (exports.ApexTestQueueItemStatus = {}));
//# sourceMappingURL=types.js.map